@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
:root {
  --main_color: rgb(47, 19, 172);
}
* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
body {
  display: grid;
  place-items: center;
  width: 100vw;
  height: 100vh;
}
.container {
  width: 100%;
  max-width: 540px;
  background-color: rgb(8, 219, 184);
  border-radius: 50px;
  padding: 30px 30px 70px;
}

.container h2 {
  text-align: center;
  background: url(../Images/scenery2.jpg);
  background-size: cover;
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;

  margin-bottom: 10px;
  font-size: 5em;
  font-weight: 900;
}

.container h2 .fa-clipboard {
  padding-left: 10px;
}

.box {
  position: relative;
}

.box #input-box {
  flex: 1;
  height: 55px;
  width: 100%;
  padding-left: 20px;
  border-radius: 35px;
  font-size: 1.2em;
  
}
.box button {
  height: 49px;
  margin: 3px 4px 4px 0px;
  padding: 10px 20px;
  position: absolute;
  background-color: var(--main_color);
  color: white;
  font-weight: 500;
  right: 0px;
  font-size: 1.2em;
  border-radius: 35px;
}
ul li {
  list-style: none;
  font-weight: 500;
  padding: 12px 8px 10px 40px;
  cursor: pointer;
  position: relative;
  margin-block: 10px;
  letter-spacing: 2px;

}
ul li::before {
  content: "";
  position: absolute;
  height: 25px;
  width: 20px;
  background: url("./unchecked.png");
  background-size: cover;
  background-position: center;
  top: 12px;
  left: 15px;
}
ul li.checked{
  background-color: var(--main_color);
  color: rgb(255, 255, 255);
  border-radius: 50px;
}

ul li.checked::before{
  content: "";
  position: absolute;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: url("./check.png");
  background-size: cover;
  background-position: center;
  top: 12px;
  left: 15px;
}
ul li span{
  position: absolute;
  top: 10px;
  right: 0px;
  margin-right: 5px;
  width: 30px;
  height: 30px;
  font-size: 1.2em;
  color: rgb(8, 90, 153);
  border-radius: 50%;
  font-size: 22px;
  text-align: center;
  padding-bottom: 1px;
  line-height: 30px;
}

ul li span:hover{
  background-color: #fdfdfd;
  color: rgb(20, 60, 181);
  border: 50%;
}
ul li.checked span{
  color: white;
}

@media screen and (max-width: 480px) {
  .container {
    width: 100%;
    max-width: 540px;
    background-color: cornsilk;
    border-radius: 50px;
    padding: 30px 30px 70px;
  }
}
